#2162 closed defect (fixed)

RFS file system : statvfs will report 1 block free when all blocks are used

Reported by: Alan Cudmore Owned by: Chris Johns
Priority: normal Milestone: 4.11
Component: fs Version: 4.11
Severity: normal Keywords:
Cc: gedare@… Blocked By:
Blocking:

Description

The RTEMS file system ( RFS ) reports free blocks in the statvfs call. The call will never report less than 1 block, even if all of the space is used.

The problem is that the total number of blocks includes the superblock and that is not accounted for in the free space calculation.

The problem can be fixed by subtracting 1 from the total number of free blocks in the statvfs call and in the debugrfs/data shell command, but a more elegant solution might exist such as storing the superblock within each group.

Change History (5)

comment:1 Changed on Dec 9, 2013 at 6:26:02 PM by Gedare Bloom

Cc: Gedare Bloom added
Component: cpukitfilesystem
Owner: changed from Joel Sherrill to Chris Johns

comment:2 Changed on Apr 11, 2014 at 7:15:12 PM by Gedare Bloom

Milestone: 4.114.12

comment:4 Changed on Nov 20, 2014 at 3:25:13 AM by Chris Johns

Milestone: 4.124.11

comment:5 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.